What about IDEA Community Edition built against JDK 5?

AFAIK the only way to make plugins work on Mac is using IDEA SDK built against JDK 5. It appears that you develop using Community Edition (as you really like to debug IDEA internals), and build release binaries using Ultimate Edition (to please Mac users). Switching SDK's is easy, but... What about providing Community Edition binaries built agains JDK 5?

2 comments
Comment actions Permalink

Hello Max,

We would really, really like to avoid having to do that, as it's quite a big hassle for us. You can build the CE binaries with JDK 5 yourself - we provide the build scripts required for that.

0
Comment actions Permalink

Hmm, but you still have to build UE for JDK 5, and CE is just a subset of UE. Anyway, I was expecting that answer

0

Please sign in to leave a comment.